#
# spec file for package fnotifystat
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           fnotifystat
Version:        0.02.00
Release:        lp150.1.3
Summary:        File activity monitoring tool
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/fnotifystat/
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fnotifystat periodically dumps out the activity on files in the system. It can
be used to identify rogue file activity and discover which processes are
performing open/close/read/write operations on the files. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING
%{_sbindir}/fnotifystat
%{_mandir}/man8/fnotifystat.8%{ext_man}

%changelog
* Fri Jan  5 2018 mardnh@gmx.de
- update to version 0.02.00
  * Makefile: bump version to 0.02.00
  * debian/rules: remove extraneous space on line 5
  * debian/control: update Standards-Version to 4.1.2
  * unconsitfy pointer 'metadata' to fix a build warning
  * Fix build warning, include <sys/sysmacros.h>.
* Wed May 10 2017 mardnh@gmx.de
- update to version 0.01.17
  * Makefile: bump version
  * Manual: update copyright year and date
  * Add variable pid size handling.
  * Re-order declarations of mounts and mount in fnotify_event_init
  * Update copyright year to source
- update to version 0.01.16
  * Makefile: bump version
  * Remove extraneous declaration of ret to fix shadowing
  * constify fs1 fs2
  * Make some helper functions static
  * Makefile: add PEDANTIC flags
- update to version 0.01.15
  * Makefile: bump version
  * reduce scope of ptr
  * debian/control: update Standards-Version to 3.9.8
  * Update and correct copyright years
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
